unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, ToolWin, OleCtrls, MOZILLACONTROLLib_TLB,
  ImgList, Menus, XPMan;

type
  TForm1 = class(TForm)
    MozillaBrowser1: TMozillaBrowser;
    CoolBar1: TCoolBar;
    ToolBar1: TToolBar;
    btnvoltar: TToolButton;
    btnavancar: TToolButton;
    btnparar: TToolButton;
    btnatualizar: TToolButton;
    ToolButton10: TToolButton;
    btnhome: TToolButton;
    btnprocurar: TToolButton;
    ToolButton11: TToolButton;
    btnimprimir: TToolButton;
    ComboBox1: TComboBox;
    ImageList1: TImageList;
    OpenDialog1: TOpenDialog;
    MainMenu1: TMainMenu;
    Novo1: TMenuItem;
    Abrir1: TMenuItem;
    SalvarComo1: TMenuItem;
    StatusBar1: TStatusBar;
    N1: TMenuItem;
    ConfigurarPgina1: TMenuItem;
    Imprimir1: TMenuItem;
    VisualizarImoresso1: TMenuItem;
    N2: TMenuItem;
    Sair1: TMenuItem;
    XPManifest1: TXPManifest;
    procedure ToolButton1Click(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
    procedure ToolButton4Click(Sender: TObject);
    procedure ComboBox1KeyPress(Sender: TObject; var Key: Char);
    procedure btnvoltarClick(Sender: TObject);
    procedure btnavancarClick(Sender: TObject);
    procedure btnpararClick(Sender: TObject);
    procedure btnatualizarClick(Sender: TObject);
    procedure btnhomeClick(Sender: TObject);
    procedure btnprocurarClick(Sender: TObject);
    procedure SalvarComo1Click(Sender: TObject);
    procedure Abrir1Click(Sender: TObject);
    procedure MozillaBrowser1TitleChange(ASender: TObject;
      const Text: WideString);
    procedure Sair1Click(Sender: TObject);
    procedure ConfigurarPgina1Click(Sender: TObject);
    procedure VisualizarImoresso1Click(Sender: TObject);
    procedure Imprimir1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.ToolButton1Click(Sender: TObject);
begin
MozillaBrowser1.GoBack;
end;

procedure TForm1.ToolButton2Click(Sender: TObject);
begin
MozillaBrowser1.GoForward;
end;

procedure TForm1.ToolButton3Click(Sender: TObject);
begin
MozillaBrowser1.Stop;
end;

procedure TForm1.ToolButton4Click(Sender: TObject);
begin
MozillaBrowser1.Refresh;
end;

procedure TForm1.ComboBox1KeyPress(Sender: TObject; var Key: Char);
begin
if key=#13 then
MozillaBrowser1.Navigate(combobox1.Text);
end;

procedure TForm1.btnvoltarClick(Sender: TObject);
begin
MozillaBrowser1.GoBack;
end;

procedure TForm1.btnavancarClick(Sender: TObject);
begin
MozillaBrowser1.GoForward;
end;

procedure TForm1.btnpararClick(Sender: TObject);
begin
MozillaBrowser1.Stop;
end;

procedure TForm1.btnatualizarClick(Sender: TObject);
begin
MozillaBrowser1.Refresh;
end;

procedure TForm1.btnhomeClick(Sender: TObject);
begin
MozillaBrowser1.GoHome;
end;

procedure TForm1.btnprocurarClick(Sender: TObject);
begin
MozillaBrowser1.GoSearch;
end;

procedure TForm1.SalvarComo1Click(Sender: TObject);
var
  PageFilename : OleVariant;
begin
  try
    if not(MozillaBrowser1.Busy) then begin
      PageFilename := MozillaBrowser1.LocationName + '.html';
      {Abrir caixa de dilogo SALVAR COMO}
      MozillaBrowser1.ExecWB(OLECMDID_SAVEAS, OLECMDEXECOPT_PROMPTUSER, PageFilename);
      end;
  except
    {Manipulando Excees}
    on E : Exception do
      MessageDlg('ERRO: Erro ao Salvar A Pgina. ' + #13 + E.ClassName
        + ': ' + E.Message + '.', mtError, [mbOk], 0);
    end;
end;

procedure TForm1.Abrir1Click(Sender: TObject);
begin
if OpenDialog1.Execute then
mozillabrowser1.Navigate(opendialog1.FileName) else
abort;
end;

procedure TForm1.MozillaBrowser1TitleChange(ASender: TObject;
  const Text: WideString);
begin
form1.Caption:='Mozila Browser - '+ text;
end;

procedure TForm1.Sair1Click(Sender: TObject);
begin
application.Terminate;
end;

procedure TForm1.ConfigurarPgina1Click(Sender: TObject);
begin
Mozillabrowser1.ExecWB(OLECMDID_PAGESETUP, OLECMDEXECOPT_PROMPTUSER);
end;

procedure TForm1.VisualizarImoresso1Click(Sender: TObject);
begin
Mozillabrowser1.ExecWB(OLECMDID_PRINTPREVIEW, OLECMDEXECOPT_PROMPTUSER);
end;

procedure TForm1.Imprimir1Click(Sender: TObject);
begin
Mozillabrowser1.ExecWB(OLECMDID_PRINT, OLECMDEXECOPT_PROMPTUSER);
end;

end.
